ANM(1)

NAME
anm - print name list

SYNOPSIS
anm [-gnoprus] file ...

OPTIONS

EXAMPLES

DESCRIPTION

Anm prints the name list (symbol table) of each ACK format object file in the argument list. If no file name is given, a.out is used. Each symbol name is preceded by its value, a section indicator and a type indicator. The section indicators are:

	U	Undefined symbol
	A	Absolute symbol
	-	Other symbol

The type indicators are:

	F	Filename
	M	Module name
	S	Section name
	E	External (global) symbol
	-	Local symbol

The output is sorted alphabetically, unless otherwise specified. Notice that anm can only be used on ACK format object files (that is: .o and .out files). If you want to get the name list of an executable program use nm instead.

SEE ALSO
asize(1), nm(1), ar(1), size(1).